Uploaded image for project: 'Activiti'
  1. Activiti
  2. ACTIVITI-1014

AWS Java SDK libraries in activiti-app are old and need upgrading to later version

    Details

    • Type: Feature
    • Status: Backlog (View Workflow)
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: APS 1.6.1, APS 1.9
    • Fix Version/s: APS next option
    • Component/s: Engine
    • Labels:
      None
    • ACT Numbers:

      00990696

      Description

      Description
      AWS Java SDK libraries in activiti-app are old (version 1.10.12 back from 2015) and need upgrading to later version to be compliant to latest security related changes etc.

      Steps to reproduce
      Inspect the aws-java-sdk*.jar libraries and their version under activiti-app/WEB-INF/lib.

      Expected Behaviour
      The AWS Java SDK libraries in the product are upgraded at a regular interval and up to date.

      Current Behaviour
      Since the AWS Java SDK libraries in the product are too old, it is causing various issues for customers wanting to write custom java delegates, custom data models etc. using latest AWS provided samples(which need latest AWS libraries) for S3, SQS, DynamoDB, Kinesis etc.

      Business Case

        TestRail: Results

          Attachments

            Issue Links

              Structure

                Activity

                  People

                  • Assignee:
                    dgruber Daniel Gruber (Inactive)
                    Reporter:
                    cjoseph Ciju Joseph [X] (Inactive)
                  • Votes:
                    1 Vote for this issue
                    Watchers:
                    5 Start watching this issue

                    Dates

                    • Created:
                      Updated:

                      TestRail: Cases

                        Structure Helper Panel